routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['lang'])->group(function () {

    Route::get('/', 'HomeController@index')->name('home');
    Route::group(['namespace' => 'Admin', 'prefix' => 'admin', 'as' => 'admin.'], function () {

        Route::get('login', 'LoginController@login')->name('login');
        Route::post('login', 'LoginController@loginPost')->name('loginPost');
        Route::post('logout', 'LoginController@logout')->name('logout');

        Route::group(['middleware' => ['auth', 'AdminCheck']], function () {

            Route::get('/', 'DashboardController@dashboard')->name('home');
            Route::get('settings', 'DashboardController@settings')->name('settings');
            Route::post('settings', 'DashboardController@settingsPost');

            Route::resources([
                'users' => 'UserController',
                'roles' => 'RoleController',
                'sliders' => 'SliderController',
                'tags' => 'TagController',
                'categories' => 'CategoryController',
                'blogs' => 'BlogController',
                'pages' => 'PageController',
                'banners' => 'BannerController',
                'services' => 'ServiceController',
                'orders' => 'OrderController',
                'partners' => 'PartnerController',
                'payments' => 'PaymentController',
                'coupons' => 'CouponController',
                'shipments' => 'ShipmentController',
                'rates' => 'RateController',
                'contacts' => 'ContactController',
                'projects' => 'ProjectController',
                'products' => 'ProductController',
                'consultancies' => 'ConsultancyController',
                'materials' => 'MaterialController',
            ]);

        });
    });
    Route::group(['namespace' => 'Furniture', 'prefix' => 'furniture', 'as' => 'furniture.'], function () {

        Route::get('login', 'LoginController@login')->name('login');
        Route::post('login', 'LoginController@loginPost');
        Route::post('logout', 'LoginController@logout')->name('logout');

        Route::group(['middleware' => ['auth', 'FurnitureCheck']], function () {

            Route::get('/', 'DashboardController@dashboard')->name('home');

            Route::resources([
                'users' => 'UserController',
                'roles' => 'RoleController',
                'sliders' => 'SliderController',
                'tags' => 'TagController',
                'categories' => 'CategoryController',
                'blogs' => 'BlogController',
                'pages' => 'PageController',
                'banners' => 'BannerController',
                'services' => 'ServiceController',
                'orders' => 'OrderController',
                'partners' => 'PartnerController',
                'payments' => 'PaymentController',
                'coupons' => 'CouponController',
                'shipments' => 'ShipmentController',
                'rates' => 'RateController',
                'contacts' => 'ContactController',
                'projects' => 'ProjectController',
                'products' => 'ProductController',
                'consultancies' => 'ConsultancyController',
                'materials' => 'MaterialController',
            ]);

        });
    });
    Route::group(['namespace' => 'Contractor', 'prefix' => 'contractor', 'as' => 'contractor.'], function () {

        Route::get('login', 'LoginController@login')->name('login');
        Route::post('login', 'LoginController@loginPost');
        Route::post('logout', 'LoginController@logout')->name('logout');

        Route::group(['middleware' => ['auth', 'ContractorCheck']], function () {

            Route::get('/', 'DashboardController@dashboard')->name('home');

            Route::resources([
                'users' => 'UserController',
                'roles' => 'RoleController',
                'sliders' => 'SliderController',
                'tags' => 'TagController',
                'categories' => 'CategoryController',
                'blogs' => 'BlogController',
                'pages' => 'PageController',
                'banners' => 'BannerController',
                'services' => 'ServiceController',
                'orders' => 'OrderController',
                'partners' => 'PartnerController',
                'payments' => 'PaymentController',
                'coupons' => 'CouponController',
                'shipments' => 'ShipmentController',
                'rates' => 'RateController',
                'contacts' => 'ContactController',
                'projects' => 'ProjectController',
                'products' => 'ProductController',
                'consultancies' => 'ConsultancyController',
                'materials' => 'MaterialController',
            ]);

        });
    });
    Route::group(['namespace' => 'Designer', 'prefix' => 'designer', 'as' => 'designer.'], function () {

        Route::get('login', 'LoginController@login')->name('login');
        Route::post('login', 'LoginController@loginPost');
        Route::post('logout', 'LoginController@logout')->name('logout');

        Route::group(['middleware' => ['auth', 'DesignerCheck']], function () {

            Route::get('/', 'DashboardController@dashboard')->name('home');

            Route::resources([
                'users' => 'UserController',
                'roles' => 'RoleController',
                'sliders' => 'SliderController',
                'tags' => 'TagController',
                'categories' => 'CategoryController',
                'blogs' => 'BlogController',
                'pages' => 'PageController',
                'banners' => 'BannerController',
                'services' => 'ServiceController',
                'orders' => 'OrderController',
                'partners' => 'PartnerController',
                'payments' => 'PaymentController',
                'coupons' => 'CouponController',
                'shipments' => 'ShipmentController',
                'rates' => 'RateController',
                'contacts' => 'ContactController',
                'projects' => 'ProjectController',
                'products' => 'ProductController',
                'consultancies' => 'ConsultancyController',
                'materials' => 'MaterialController',
            ]);

        });
    });
});

resources/views/admin/login.blade.php
@extends('admin.layouts.app')
@section('title','Login')
@section('content')

    <!-- Page content -->
    <div class="page-content">

        <!-- Main content -->
        <div class="content-wrapper">

            <!-- Content area -->
            <div class="content d-flex justify-content-center align-items-center">

                <!-- Login form -->
                <form class="login-form" method="post" action="{{route('admin.loginPost')}}">
                    {{csrf_field()}}
                    <div class="card mb-0">
                        <div class="card-body">
                            <div class="text-center mb-3">
                                <i class="icon-reading icon-2x text-slate-300 border-slate-300 border-3 rounded-round p-3 mb-3 mt-1"></i>
                                <h5 class="mb-0">Login to your account</h5>
                                <span class="d-block text-muted">Your credentials</span>
                            </div>

                            <div class="form-group form-group-feedback form-group-feedback-left">
                                <input type="text" class="form-control" name="email" placeholder="Email">
                                <div class="form-control-feedback">
                                    <i class="icon-user text-muted"></i>
                                </div>
                            </div>

                            <div class="form-group form-group-feedback form-group-feedback-left">
                                <input type="password" class="form-control" name="password" placeholder="Password">
                                <div class="form-control-feedback">
                                    <i class="icon-lock2 text-muted"></i>
                                </div>
                            </div>

                            <div class="form-group d-flex align-items-center">
                                <div class="form-check mb-0">
                                    <label class="form-check-label">
                                        <input type="checkbox" name="remember" class="form-input-styled" checked data-fouc>
                                        Remember
                                    </label>
                                </div>
                            </div>

                            <div class="form-group">
                                <button type="submit" class="btn btn-primary btn-block">Sign in <i class="icon-circle-right2 ml-2"></i></button>
                            </div>

                         </div>
                    </div>
                </form>
                <!-- /login form -->

            </div>
            <!-- /content area -->

        </div>
        <!-- /main content -->

    </div>
    <!-- /page content -->


@endsection

resources/views/admin/settings.blade.php
@extends('admin.layouts.app')
@section('title',__('Settingss'))
@section('content')
    <div class="content-header row">
        <div class="content-header-left col-md-6 col-12 mb-2">
            <div class="row breadcrumbs-top">
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{__('Home')}}</a></li>
                        <li class="breadcrumb-item active"> {{__('Settings')}}</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <div class="content-body">
        <!-- Basic form layout section start -->
        <section id="basic-form-layouts">
            <div class="row match-height">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title" id="basic-layout-form"> {{__('Settings')}}</h4>
                            <a class="heading-elements-toggle"><i class="icon-ellipsis-v font-medium-3"></i></a>
                        </div>

                        <div class="card-content collapse show">
                            <div class="card-body">
                                <form class="form"
                                      action="{{route('admin.settings')}}"
                                      method="POST"
                                      enctype="multipart/form-data">
                                    @csrf

                                    <div class="form-body">

                                        <div class="row">

                                            @foreach($settings as $setting => $type)
                                                @foreach (config('app.locales') as $locale)
                                                    <div class="col-md-6">
                                                        <div class="row">
                                                            <div class="col-md-12">
                                                                <div class="form-group row">
                                                                    @if($type == "image")
                                                                        <label class="col-md-3 label-control"
                                                                               for="name">
                                                                            {{__($setting)}}
                                                                            @if(count(config('app.locales')) > 1)
                                                                                ({{__($locale)}})
                                                                            @endif
                                                                        </label>
                                                                        <div class="col-md-9">

                                                                            <img width="100%"
                                                                                 style="background: #f0f0f3;"
                                                                                 src="/storage/{{ App\Models\Setting::translate($setting,$locale) }}">
                                                                            <input
                                                                                type="file"
                                                                                id="{{$setting}}[{{$locale}}]"
                                                                                name="{{$setting}}[{{$locale}}]">
                                                                        </div>
                                                                    @elseif($type == "textarea")
                                                                        <label class="col-md-3 label-control"
                                                                               for="name">
                                                                            {{__($setting)}}
                                                                            @if(count(config('app.locales')) > 1)
                                                                                ({{__($locale)}})
                                                                            @endif
                                                                        </label>
                                                                        <div class="col-md-9">

                                                                        <textarea
                                                                            type="{{$type}}"
                                                                            id="{{$setting}}[{{$locale}}]"
                                                                            name="{{$setting}}[{{$locale}}]"
                                                                            class="form-control border-primary"
                                                                            placeholder="{{__($setting)}} @if(count(config('app.locales')) > 1) ({{__($locale)}}) @endif"
                                                                        >{{ App\Models\Setting::translate($setting,$locale) }}</textarea>
                                                                        </div>
                                                                    @elseif($type == "checkbox")
                                                                        @if($locale == "en")
                                                                            <label class="col-md-3 label-control"
                                                                                   for="name">
                                                                                {{__($setting)}}
                                                                            </label>
                                                                            <div class="col-md-9">

                                                                                <input
                                                                                    {{App\Models\Setting::translate($setting,$locale) == "on" ? "checked" : ""}}
                                                                                    type="{{$type}}"
                                                                                    id="{{$setting}}[{{$locale}}]"
                                                                                    name="{{$setting}}[{{$locale}}]"
                                                                                    class="border-primary"
                                                                                    placeholder="{{__($setting)}} @if(count(config('app.locales')) > 1) ({{__($locale)}}) @endif">
                                                                            </div>
                                                                        @endif
                                                                    @else
                                                                        @if(in_array($setting,['name','description','logo','admin_logo','footer_logo']))
                                                                            <label class="col-md-3 label-control"
                                                                                   for="name">
                                                                                {{__($setting)}}
                                                                                @if(count(config('app.locales')) > 1)
                                                                                    ({{__($locale)}})
                                                                                @endif
                                                                            </label>
                                                                            <div class="col-md-9">

                                                                                <input
                                                                                    type="{{$type}}"
                                                                                    id="{{$setting}}[{{$locale}}]"
                                                                                    name="{{$setting}}[{{$locale}}]"
                                                                                    class="form-control border-primary"
                                                                                    placeholder="{{__($setting)}} @if(count(config('app.locales')) > 1) ({{__($locale)}}) @endif"
                                                                                    value="{{ App\Models\Setting::translate($setting,$locale) }}">
                                                                            </div>
                                                                        @else
                                                                            @if($locale == "en")
                                                                                <label class="col-md-3 label-control"
                                                                                       for="name">
                                                                                    {{__($setting)}}
                                                                                </label>
                                                                                <div class="col-md-9">
                                                                                    <input
                                                                                        type="{{$type}}"
                                                                                        id="{{$setting}}[{{$locale}}]"
                                                                                        name="{{$setting}}[{{$locale}}]"
                                                                                        class="form-control border-primary"
                                                                                        placeholder="{{__($setting)}}"
                                                                                        value="{{ App\Models\Setting::translate($setting,$locale) }}">
                                                                                </div>
                                                                            @endif
                                                                        @endif
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endforeach
                                            @endforeach

                                        </div>

                                    </div>

                                    <div class="form-actions">
                                        <button type="button" class="btn btn-warning mr-1 block-page"
                                                onclick="history.back();">
                                            <i class="icon-cross"></i> {{__('Cancel')}}
                                        </button>
                                        <button type="submit" class="btn btn-primary block-page">
                                            <i class="icon-check"></i> {{__('Submit')}}</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
@endsection